The problem of the MetaboliteAdductDecharger

Warning: Parameters file version (2.4.0) does not match the version of this tool (2.6.0).
Your current parameters are still valid, but there might be new valid values or even new parameters. Upgrading the INI might be useful.
This is meaning that I should how to upgrad the INI.

This is usually not necessary. It just means that the first version of the workflow was created with the 2.4.0 plugin. If you have a newer plugin version, new parameters will be filled with defaults.

If you drag a new node and copy over the settings, you should be able to get rid of this warning.